#include <iostream>
#include <map>

class Test
{
	/// Types of implemented kernels
	enum KernelTypes {linear, homogeneousPolynomial, inhomogeneousPolynomial, inverseQuadraticRBF};
	/// Map kernel names to the kernelTypes enum
	static const std::map<std::string, KernelTypes> kernelTypesMap;

};


const std::map<std::string, Test::KernelTypes> Test::kernelTypesMap = boost::assign::map_list_of("linear", linear)
																										("homogeneous_poly", homogeneousPolynomial)
																										("inhomogeneous_poly", inhomogeneousPolynomial)
																										("rbf", inverseQuadraticRBF);